Subject: Re: [PATCH v3] rfc: Add Request-For-Comment process.

From: Noé Lopez <[email-masked]>
Date: Sun, 22 Dec 2024 14:06:56 +0100

Simon Tournier <[email-masked]> writes:

> +** Timeline
> +
> +The lifetime of an RFC is structured into the following recommended periods:

What does recommended mean in this case?  Do you mean that someone can
skip any period they want or reduce the time if consesus is reached or
something else?

> +It moves to the last call period.
> +
> +*** Last call (up to 14 days)

There should be a lower limit.

> +
> +The author publishes a final version of the RFC and a last grace period of 14
> +days is granted.  People are asked to agree or disagree by commenting:
> +
> + - +1 / LGTM: I support
> + - =0 / LGTM: I will live with it
> + - -1: I disagree with this proposal
> +
> +At least half of people with commit acces must express their voice with the
> +keys above during this last call.  We need to be sure that the RFC had been
> +read by people committed to take care of the project, since it proposes an
> +important change.

I would add that a person with commit access that does not vote counts
as +1 or =0.  Though I doubt if a voting process like this is good for
consensus: if 5 people are for and 4 against it should not pass.

I like Ludo’s idea of using teams, but I fear that for some changes
people might not care enough to have even 25% of them vote.